# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tansu/version'

Gem::Specification.new do |spec|
  spec.name          = "tansu"
  spec.version       = Tansu::VERSION
  spec.authors       = ["daisuko"]
  spec.email         = ["striker.daisuko@gmail.com"]

  spec.summary       = %q{Tansu is a web-application framework.}
  spec.homepage      = "https://github.com/daisuko/tansu"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
                         f.match(%r{^(test|spec|features)/})
                       end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rack"
  spec.add_dependency "minicontext"
  spec.add_dependency "tilt"
  spec.add_dependency "rack-protection"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "rack-test"
end
